Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.grails.databinding.converters.web
[Groovy] Class LocaleAwareBigDecimalConverter

    java.lang.Object
      org.grails.databinding.converters.web.LocaleAwareNumberConverter
          org.grails.databinding.converters.web.LocaleAwareBigDecimalConverter

    @groovy.transform.CompileStatic
    class LocaleAwareBigDecimalConverter
    extends LocaleAwareNumberConverter

A ValueConverter that knows how to convert a String to a BigDecimal or a BigInteger and is Locale aware. The converter will use the Locale of the current request if being invoked as part of a request, otherwise will use Locale.getDefault().

Authors:
  Jeff Brown

Since:
  2.3

Method Summary
`protected java.text.NumberFormat` | `getNumberFormatter()`

Methods inherited from class LocaleAwareNumberConverter
canConvert, convert, getLocale, getNumberFormatter

Methods inherited from class java.lang.Object
java.lang.Object#wait(long, int), java.lang.Object#wait(long), java.lang.Object#wait(), java.lang.Object#equals(java.lang.Object), java.lang.Object#toString(), java.lang.Object#hashCode(), java.lang.Object#getClass(), java.lang.Object#notify(), java.lang.Object#notifyAll()

Method Detail

### getNumberFormatter

    @java.lang.Override
    protected java.text.NumberFormat getNumberFormatter()

Groovy Documentation